<?php

namespace plugin\cms\model;

use think\admin\Model;

class CmsCategory extends Model
{
    public static function getList()
    {
        return static::mk()->order('sort asc')->field('id,name')->where('status', 1)->select()->toArray();
    }

    public function articles()
    {
        return $this->hasManyThrough(CmsArticle::class, CmsCateArticle::class,
            'cid', 'id', 'id', 'aid');
    }

    public function children()
    {
        return $this->hasMany(CmsCategory::class, 'pid', 'id');
    }

    public function parent()
    {
        return $this->belongsTo(CmsCategory::class, 'pid', 'id');
    }
}